Skip to main content
`Ctrl`+`K`

# PetscSectionLoad

Loads a `PetscSection`

## Synopsis

    #include "petscsection.h"
    PetscErrorCode PetscSectionLoad(PetscSection s, PetscViewer viewer)

Collective

## Input Parameters

- s - the `PetscSection` object to load

- viewer - the viewer

## Note

`PetscSectionLoad()`, when viewer is of type `PETSCVIEWERHDF5`, loads a section saved with `PetscSectionView()`. The number of processes used here (N) does not need to be the same as that used when saving. After calling this function, the chart of s on rank i will be set to [0, E_i), where \sum_{i=0}^{N-1}E_i equals to the total number of saved section points.

## See Also

PetscSection, `PetscSection`, `PetscSectionCreate()`, `PetscSectionDestroy()`, `PetscSectionView()`

## Level

beginner

## Location

src/vec/is/section/interface/section.c

Index of all PetscSection routines
Table of Contents for all manual pages
Index of all manual pages